String getMonoConnectHtml(String key) {
  return '''
  <!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Mono Connect</title>
  </head>
  <body
    onload="setupMonoConnect()"
    style="background-color: #fff; height: 100vh; overflow: scroll"
  >
    <script src="https://connect.withmono.com/connect.js"></script>
    <script type="text/javascript">
      window.onload = setupMonoConnect;

      function setupMonoConnect() {
        const options = {
          onSuccess: ({ data }) => onSuccessEvent(data),
          onClose: () => onClosedEvent(),
          onEvent: (eventName, data) => onEventListener(eventName, data),
        };

        const MonoConnect = new Connect("$key", options);

        MonoConnect.setup();
        MonoConnect.open();
      }

      function onSuccessEvent(data) {
        const response = {
          type: "mono.linked",
          response: { ...data },
        };
        MonoClientInterface.postMessage(JSON.stringify(response));
      }

      function onClosedEvent() {
        const response = { type: "mono.closed" };
        MonoClientInterface.postMessage(JSON.stringify(response));
      }

      function onEventListener(eventName, data) {
        if (eventName == "OPENED") {
          const response = {
            type: "mono.opened",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        } else if (eventName == "INSTITUTION_SELECTED") {
          const response = {
            type: "mono.institution_selected",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        } else if (eventName == "AUTH_METHOD_SWITCHED") {
          const response = {
            type: "mono.auth_method_switched",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        } else if (eventName == "SUBMIT_CREDENTIALS") {
          const response = {
            type: "mono.submit_credentials",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        } else if (eventName == "ACCOUNT_LINKED") {
          const response = {
            type: "mono.linked_account",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        } else if (eventName == "ACCOUNT_SELECTED") {
          const response = {
            type: "mono.account_selected",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        } else if (eventName == "ERROR") {
          const response = {
            type: "mono.error",
            response: { ...data },
          };
          MonoClientInterface.postMessage(JSON.stringify(response));
        }

        console.log(eventName);
        console.log(data);
      }
    </script>
  </body>
</html>

            ''';
}
